Loading...
Searching...
No Matches
read_list.c File Reference

Manage Library - Read list of elements. More...

`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include "manage_local_proto.h"`
Include dependency graph for read_list.c:

Go to the source code of this file.

## Functions

int | M_read_list (int check_if_empty, int *num)
| Read list of elements.

## Variables

int | nlist
struct list * | list

## Detailed Description

Manage Library - Read list of elements.

(C) 2001-2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file read_list.c.

## Function Documentation

## M_read_list()

int M_read_list | ( | int | check_if_empty,
|  | int * | num )

Read list of elements.

Format:

# ... comments
main element:alias:description:menu text
sub element:description
sub element:description
.
.
.
main
int main(int argc, char *argv[])
Definition main.c:25
element
Definition lidar.h:85

Parameters

  check_if_empty | TRUE for check if element is empty

Returns
  0
  1

Definition at line 48 of file read_list.c.

References G_fatal_error(), G_getl(), G_gisbase(), G_store(), G_strip(), list, M__add_element(), M__empty(), nlist, and strcpy.

## Variable Documentation

## list

struct list* list

Definition at line 24 of file read_list.c.

Referenced by Cairo_font_info(), Cairo_font_list(), COM_Font_info(), COM_Font_list(), COM_Set_font(), G_color_rules_options(), G_free_ilist(), G_free_list(), G_ilist_add(), G_init_ilist(), G_list(), G_ls_format(), GPJ_get_datum_by_name(), GPJ_get_default_datum_params_by_name(), GPJ_get_ellipsoid_by_name(), GPJ_osr_to_grass(), gsd_3darrow(), link__get_next(), M__add_element(), M__get_description_len(), M_define_option(), M_do_copy(), M_do_list(), M_do_remove(), M_do_rename(), M_find(), M_get_element(), M_get_list(), M_get_option_desc(), M_get_options(), M_read_list(), and M_show_elements().

## nlist

int nlist

Definition at line 23 of file read_list.c.

Referenced by M__add_element(), M_define_option(), M_do_list(), M_get_element(), M_get_list(), M_get_option_desc(), M_get_options(), M_read_list(), and M_show_elements().